Package org.jcsp.net

# Class NetConnection

java.lang.Object
org.jcsp.net.NetConnection

public class NetConnection extends Object

This class provides static methods for constructing `NetConnectionServer` and `NetConnectionClient` objects.

The methods provided are equivalent to the methods defined in ``NetConnectionFactory``.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`NetConnection()`

## Method Summary

Modifier and Type
Method
Description
`static NetSharedAltingConnectionClient`
`createAny2Net(NetChannelLocation serverLoc)`
`static NetSharedConnectionServer`
`createNet2Any()`
`static org.jcsp.net.NetAltingConnectionServer`
`createNet2One()`
`static NetAltingConnectionClient`
`createOne2Net(NetChannelLocation serverLoc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NetConnection

public NetConnection()

## Method Details

### createNet2One

public static org.jcsp.net.NetAltingConnectionServer createNet2One()

See Also:
  - `NetConnectionFactory.createNet2One()`

### createNet2Any

public static NetSharedConnectionServer createNet2Any()

See Also:
  - `NetConnectionFactory.createNet2Any()`

### createOne2Net

public static NetAltingConnectionClient createOne2Net(NetChannelLocation serverLoc)

See Also:
  - `NetConnectionFactory.createOne2Net(NetChannelLocation)`

### createAny2Net

public static NetSharedAltingConnectionClient createAny2Net(NetChannelLocation serverLoc)

See Also:
  - `NetConnectionFactory.createAny2Net(NetChannelLocation)`